package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface PackConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void addCustomView(android.view.View view);
		String getPackageLabel();
		void setPackageLabel(String packageLbelStr);
		String getPreditCount();
		void setPreditCount(String preditCountStr);
		String getDescribe();
		void setDescribe(String describeStr);
		void readQRCode();
		void setSinglePackBtnVisiable(int visiable);
		void setBatchPackBtnVisiable(int visiable); 
		void setMoreOptionBtnVisiable(int visibility);
		void setMoreOptionBtnStr(String moreStr);
		void setPackageLabelVisibility(int visibility);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void btnScannerClick();
		void singlePackClick();
		void batchPackClick();
		void moreOptionClick();
	}

}
